

    git show
    git clean

    git checkout
    git checkout 8b22b76 -- hallo.md
    git reset --hard

     git diff HEAD 0b4ba

      git stash

      git show HEAD~2
      git reset subdir/
      git status subdir/
      git status -uall
      git commit --amend
      git reset HEAD~1

      git reflog mybranch1


 git reset --hard ORIG_HEAD # Wieder zurück zum letzten HEAD

 git merge --abort
